Summary: Install the required elments on a farm node.
Name: cmsfarm-install
%define RELEASE 3
Version: 1.0
Release: %{RELEASE}
Copyright:GPL
Group: Fermi CMS
Packager: Joe Kaiser <jlkaiser@fnal.gov>
Source: cmsfarm-install.tgz

%description
I got tired of mucking about with several different install processes.
It seems to make the most sense to install the files I know that I need
in the /etc/ directory and the services I want turned off into an rpm
file that will just do it all for me. 

Made disk changes and dynamic setting of the data disks in the /etc/fstab
file August 24ish, 2001.

Made further changes 11/30/01 to remove the mkdir and chkconfig stuff to
the farms.after.rpms.sh.

Took out the fstab stuff and put it in the after.rpms script.  I could 
probably move most of this to the script.

%prep

%setup
cp /etc/conf.modules /etc/conf.modules.rpm.%{RELEASE}
cp /etc/fstab /etc/fstab.rpm.%{RELEASE}
cp /etc/hosts /etc/hosts.rpm.%{RELEASE}
cp /etc/hosts.deny /etc/hosts.deny.rpm.%{RELEASE}
cp /etc/hosts.allow /etc/hosts.allow.rpm.%{RELEASE}
cp /root/.forward /root/.forward.rpm.%{RELEASE}
cp /root/.k5login /root/.k5login.rpm.%{RELEASE}

%install
install -m 0644 conf.modules /etc/conf.modules.rpm
install -m 0644 yp.conf /etc/yp.conf
install -m 0644 .forward /root/.forward
install -m 0644 .k5login /root/.k5login
install -m 0644 hosts /etc/hosts
install -m 0644 hosts.allow /etc/hosts.allow 
install -m 0644 hosts.deny /etc/hosts.deny
install -m 0755 fbsng /etc/rc.d/init.d/fbsng

%post

for drive in `ls /proc/ide | awk '/hd?/'`
do
mediatype=`cat /proc/ide/$drive/media`
   if [ "$drive" != "hda" -a "$mediatype" = "disk" ]
     then
	`/sbin/sfdisk -q -L /dev/${drive} << EOF
	;`
         diskpartition=`/sbin/sfdisk -l /dev/${drive} | \
         grep Linux | awk '{print $1}'`
         /sbin/mke2fs -b 4096 -m 2 ${diskpartition}
   elif [ "$mediatype" = "cdrom" ]; then
        :
   else
        :
   fi
done

%files
/etc/conf.modules
/etc/hosts
/etc/hosts.allow 
/etc/hosts.deny
/etc/yp.conf
/etc/rc.d/init.d/fbsng
/root/.forward
/root/.k5login

%dir 
